

local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

gm_windmills = {}

local _size = vector.new(40, 40, 40)
gm_windmills.game_origin = vector.new(25000, 25000, 25000)
gm_windmills.maxp = vector.add(gm_windmills.game_origin, _size)
gm_windmills.minp = vector.subtract(gm_windmills.game_origin, _size)

-- extra loaded area
gm_windmills.extra_maxp = vector.add(gm_windmills.maxp, _size)
gm_windmills.extra_minp = vector.subtract(gm_windmills.minp, _size)

-- waiting, generating, lobby, underway, endscreen
gm_windmills.gamestate = "waiting"
gm_windmills.windmill_count = 0

dofile(mod_path .. "/scripts" .. "/mapgen.lua")
dofile(mod_path .. "/scripts" .. "/gamemode.lua")

dofile(mod_path .. "/nodes" .. "/windmill.lua")
dofile(mod_path .. "/entities" .. "/rocket.lua")
